QGIS Application - Bug report #15097

Issues when running "Import into PostGIS" in batch mode

2016-06-21 11:31 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression
Assignee: Victor Olaya
Category: Processing/QGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23039

Description

- when selecting layers from filesystem and the table name is left blank, to leave the tool use the input vector as name, then the

absolute path of the input vector is used as table name

- "table to import parameter” is filled with "none" when the tool is opened, and there is the suggestion to leave it blank to use the layer

name. But then if the user leave "none" this word is used as table name.

- "none" is used also as default for the "primary key field", if the user leave it then "none" is used as name for the PK column

- compared to the tool in DB Manager it seems to miss the source/destination CRS parameters

Associated revisions

Revision e58177cf - 2016-10-17 09:18 AM - Victor Olaya

[processing] fixes for 'import into PostGIS' alg

fixes #15097

Revision €55d1923 - 2016-10-18 03:55 PM - Victor Olaya

[processing] fixes for 'import into PostGIS' alg

fixes #15097

History

#1 - 2016-06-22 03:05 AM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression
- Target version changed from Future Release - High Priority to Version 2.16

the "none" issues are a regression since 2.8.*

#2 - 2016-08-23 11:10 AM - R. R.
- File 15097.mp4 added

To me, this is a really important issue. I've uploaded a screencast for documentation purposes.
#3 - 2016-10-14 01:47 AM - Victor Olaya

These should be fixed already.

The only thing not fixed is your last suggestion about the dest crs, since that is a feature request. Also it would change the syntax of the algorithm, so it

cannot be added to this next release. We should wait until 3.0

#4 - 2016-10-15 01:58 PM - Giovanni Manghi

Hi Victor, thanks for the fixes. | see still two issues:

1) when the table name is left blank, once imported the table in Postgis has also the ".shp" in its name. | think is necessary to strip the extensions from

inputs names.

2) if the field for primary key is left blank the tool gives an error

Error importing to PostGIS Creation of data source "public"."aaa" failed: ERROR: syntax error at or near "," LINE 1: CREATE TABLE "public"."aaa"(,
PRIMARY KEY () ) *

| would suggest to fill this field out of the box with a default like "gid" or just "id".

#5 - 2016-10-17 12:18 AM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"e58177¢f9e360021618d6029821cbc8416496¢ff".

#6 - 2016-10-17 08:41 AM - Giovanni Manghi

- Status changed from Closed to Reopened

the latest build of master on osgeo4w is 979d619 that does not contain the latest commits, among the others the latest patch for this ticket. So | applied the
patch manually but at that point the tool returns "Error importing to PostGIS Creation of data source "schema_name"."" failed: ERROR: zero-length
delimited identifier at or near """ LINE 1: CREATE TABLE "schema_name".""(gid serial, PRIMARY KEY (gid) ) »" but | soon realized that this error is also
shown without the patch. At this point from "master_2" | downloaded the whole Processing folder and placed in plugins folder in .qgis2: no more error but
also "missing parameter value: Table to import..." when leaving the table name blank. The "primary key field" seems fixed.

#7 - 2016-10-18 06:55 AM - Victor Olaya

- Status changed from Reopened to Closed

Fixed in changeset commit:"e55d1923fc08900864f7ef02866ccala2e11cc15".

#8 - 2016-10-19 07:56 AM - Giovanni Manghi
- Status changed from Closed to Reopened
- Target version changed from Version 2.16 to Version 2.18
@volaya @alexbruy
tested the latest master_2

"missing parameter value: Table to import..."

when leaving the table name blank (both batch and normal use)

#9 - 2016-11-21 03:58 PM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"271e67e37b781260d889778e97064efae72a0b15".

Files

15097.mp4 2.6 MB
